__BREAD(9)

NAME
__bread - reads a specified block and returns the bh

SYNOPSIS

struct buffer_head * __bread (struct block_device * bdev, sector_t block, int size);

ARGUMENTS

bdev
    the block_device to read from

block
    number of block

size
    size (in bytes) to read

DESCRIPTION

Reads a specified block, and returns buffer head that contains it. It returns NULL if the block was unreadable.